package swanky.regex.sample;

import java.io.*;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 쫢QiSѤ Hermione Granger
 * 
 * @author Hsiao Yu Cheng
 */
public class FindHermione{
   public static void main(String[] args){
      if(args.length != 1){
         args = new String[]{"book1.txt", "book2.txt", "book3.txt", "book4.txt"};
      }

      String patt = "Hermione\\s*Granger";
      Pattern p = Pattern.compile(patt);

      try{
         BufferedReader br = new BufferedReader(new FileReader(args[0]));
         String line;
         while ((line = br.readLine()) != null){
            Matcher m = p.matcher(line);
            if(m.find()){
               System.out.println("" + m.group() + "b");
               System.out.println(line);
               System.out.println();
            }
         }
         br.close();
      }
      catch(Exception e){
         e.printStackTrace();
      }
   }
}