package swanky.regex.sample;

import java.io.BufferedReader;
import java.io.FileReader;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 쫢QiSѤ "Hermione Granger" <br />
 * ç group մ "Granger, Hermione"
 * 
 * @author Hsiao Yu Cheng
 */
public class GroupHermione{
   public static void main(String[] args){
      if(args.length != 1){
         args = new String[]{"book1.txt", "book2.txt", "book3.txt", "book4.txt"};
      }

      String patt = "(Hermione)\\s*(Granger)";
      Pattern p = Pattern.compile(patt);
      try{
         BufferedReader br = new BufferedReader(new FileReader(args[0]));
         String line;
         while ((line = br.readLine()) != null){
            Matcher m = p.matcher(line);
            while (m.find()){
               System.out.println(" " + line + " ");
               System.out.println(line.substring(0, m.start(1)) + m.group(2)
                     + ", " + m.group(1) + line.substring(m.end(2)));
               System.out.println();
            }
         }
         br.close();
      }
      catch(Exception e){
         e.printStackTrace();
      }
   }
}